> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch list of a given facet



## OpenAPI

````yaml /openapi.json get /vehicle-information/facet
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /vehicle-information/facet:
    get:
      tags:
        - sra
      summary: Fetch list of a given facet
      operationId: SraController_getFacet
      parameters:
        - name: brand
          required: false
          in: query
          description: 'Optional: The brand code'
          schema:
            type: string
        - name: model
          required: false
          in: query
          description: 'Optional: The model'
          schema:
            type: string
        - name: version
          required: false
          in: query
          description: 'Optional: the version'
          schema:
            type: string
        - name: facetName
          required: true
          in: query
          description: The facetName possible values
          schema:
            type: string
            enum:
              - brand
              - model
              - version
              - energyCode
              - fiscalPower
        - name: fiscalPower
          required: false
          in: query
          description: The fiscalPower value
          schema:
            minimum: 1
            type: number
        - name: energyCode
          required: false
          in: query
          description: The energy
          schema:
            type: string
        - name: entryIntoCirculationDate
          required: false
          in: query
          description: The first circulation date
          schema:
            format: date-time
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetFacetOutput'
components:
  schemas:
    GetFacetOutput:
      type: object
      properties:
        data:
          type: array
          items:
            type: string
      required:
        - data

````